---
layout: default
title: Download and install GitLab
description: "Learn about the various GitLab installation packages and downloads for Ubuntu, Debian, Docker, Google Cloud, and many more."
canonical_path: "/install/"
suppress_header: true
slippers: true
extra_css:
  - installation.css
extra_js:
  - installation.js
  - libs/clipboard.min.js
  - bootstrap-tooltip.js
  - copy-button.js
---

.container.slp-text-center.slp-mt-48.slp-py-48.install-header
  %h1.slp-text-3xl.slp-font-normal.md:slp-text-5xl Install self-managed GitLab
  %p.slp-my-32.slp-text-md.slp-font-normal.md:slp-text-lg You can download, install and maintain your own GitLab instance.
  %p.margin-left-none
    Want to try GitLab Ultimate for 30 days? 
    = link_to "Get your free trial →", "/free-trial/self-managed/", class: "slp-text-ui-secondary-dark"


#content{role: "main"}
  .cards-section.cards-section-grey
    .container.slp-container
      .method.omnibus
        - distros = ['Ubuntu', 'Debian', 'CentOS 8', 'CentOS 7', 'OpenSUSE Leap 15.2', 'Raspberry Pi OS']
        - platforms = ['ubuntu', 'debian', 'centos8', 'centos7', 'opensuse', 'raspberrypi']
        - ce_only_platforms = { 'raspberry-pi-os' => true }
        - subtitles = ['18.04 LTS, 20.04 LTS', '9, 10', 'and RHEL, Oracle, Scientific', 'and RHEL, Oracle, Scientific', 'and SUSE Linux Enterprise Server 12.2, 12.5', 'and Raspbian Buster']
        - icons = ['ubuntu', 'debian', 'centos', 'centos', 'opensuse', 'raspberry-pi']
        .method-content
          %p.slp-text-center.slp-text-md.slp-font-normal Recommended installation
          %h2#omnibus.slp-text-center.slp-text-xl.slp-font-normal.md:slp-text-3xl Official Linux package
          %p.slp-text-center
            Linux installation is quicker to install, easier to upgrade and contains features to enhance reliability not found in other methods. Install via a single package (also known as Omnibus) that bundles all the different services and tools required to run GitLab. At least 4 GB of RAM is recommended.
          %ul.flex-tile-list
            - distros.each_with_index do |distro, index|
              - ce_platform = data.platforms.select {|p| p.name == platforms[index]}
              - ee_platform = data.platforms_ee.select {|p| p.name == platforms[index]}
              %a.tile.js-distro-tile{ href: "##{distro.parameterize}", class: "distro-tile-#{index + 1} #{'js-distro-tile-ce-only' if ce_only_platforms[distro.parameterize]}" }
                .tile-image
                  = partial "/images/logos/#{icons[index]}-logo-color.svg"
                .tile-info
                  %h4.tile-title
                    = distro
                  %p
                    = subtitles[index]
                    .tile-link.slp-text-ui-secondary-dark
                      Install instructions +
              %li.distro-content.js-distro-content.hidden{ class: "distro-content-#{index + 1}", id: distro.parameterize }
                - ce_platform.each_with_index do |platform, index|
                  - ee_platform = ee_platform[index]
                  .js-platform-ce.js-install-instructions
                    = partial "_platform", locals: { platform: platform, type: "ce", toggle_type: "ee", has_ee: ee_platform, link_back: distro.parameterize }
                  - if ee_platform
                    .js-platform-ee.js-install-instructions.hidden
                      = partial "_platform", locals: { platform: ee_platform, type: "ee", toggle_type: "ce", has_ee: ee_platform, link_back: distro.parameterize }
  .cards-section
    .container.slp-container
      .method.kubernetes
        .method-content
          %h2.slp-text-center.slp-text-xl.slp-font-normal.md:slp-text-3xl  Helm install for Kubernetes
          .flex-tile-list.slp-text-center
            - data.installation_methods.kubernetes.each do |method|
              %a.tile{href: method.url}
                .tile-image
                  = partial method.logo
                .tile-info
                  %h4.tile-title
                    = method.name
                  %p
                    = method.desc
                .tile-link.slp-text-ui-secondary-dark
                  Install instructions →
  .cards-section.cards-section-grey
    .container.slp-container
      .method.cloud
        .method-content
          %h2.slp-text-center.slp-text-xl.slp-font-normal.md:slp-text-3xl Supported cloud providers
          %p.slp-text-center
            Use the official Linux package to install GitLab in various cloud providers
          .flex-tile-list
            - data.installation_methods.cloud.each do |method|
              %a.tile{href: method.url}
                .tile-image
                  = partial method.logo
                .tile-info
                  %h4.tile-title
                    = method.name
                  %p
                    = method.desc
                .tile-link.slp-text-ui-secondary-dark
                  Install instructions →
  .cards-section
    .container.slp-container
      .method.official
        .method-content
          %h2.slp-text-center.slp-text-xl.slp-font-normal.md:slp-text-3xl Other official installation methods
          .flex-tile-list
            - data.installation_methods.official.each do |method|
              %a.tile{href: method.url}
                .tile-image
                  = partial method.logo
                .tile-info
                  %h4.tile-title
                    = method.name
                  %p
                    = method.desc
                .tile-link.slp-text-ui-secondary-dark
                  Install instructions →
  .cards-section.cards-section-grey
    .container.slp-container
      .method.community
        .method-content
          %h2.slp-text-center.slp-text-xl.slp-font-normal.md:slp-text-3xl Unofficial, unsupported installation methods
          .flex-tile-list
            - data.installation_methods.community.each do |method|
              %a.tile{href: method.url}
                .tile-image
                  = partial method.logo
                .tile-info
                  %h4.tile-title
                    = method.name
                  %p
                    = method.desc
                .tile-link.slp-text-ui-secondary-dark
                  Install instructions +

.container.container2020.slp-container
  %h2.slp-text-center.slp-text-xl.slp-font-normal.md:slp-text-3xl
    Already Installed GitLab?
  .cta-block.slp-flex.slp-justify-between.slp-flex-wrap
    .method-cta.slp-text-center.slp-border.slp-border-grayscale-highlight.slp-border-solid.slp-bg-white.slp-rounded-lg.slp-p-24.slp-flex.slp-flex-col.md:slp-w-100
      %h3.slp-text-lg Update from an old version of GitLab
      %p.slp-my-24
        Update your GitLab installation to take advantage of the latest features. Versions of GitLab which include new functionality are released every month on the 22nd.
      %p
        %a.btn.cta-btn.lavender{:href => '/update/'} Update to the latest release of GitLab
    .method-cta.slp-text-center.slp-border.slp-border-grayscale-highlight.slp-border-solid.slp-bg-white.slp-rounded-lg.slp-p-24.slp-flex.slp-flex-col.md:slp-w-100
      %h3.slp-text-lg Upgrade from GitLab Community Edition
      %p.slp-my-24
        GitLab Enterprise Edition includes advanced features and functionality not available in the Community Edition.
      %p
        %a.btn.cta-btn.lavender{:href => '/upgrade/'} Upgrade to Enterprise Edition
    .method-cta.slp-text-center.slp-border.slp-border-grayscale-highlight.slp-border-solid.slp-bg-white.slp-rounded-lg.slp-p-24.slp-flex.slp-flex-col.md:slp-w-100
      %h3.slp-text-lg Upgrade from manually installed Omnibus package
      %p.slp-my-24
        With GitLab 7.10 we have introduced package repositories for GitLab, that allow you to install GitLab with a simple command.
      %p
        %a.btn.cta-btn.lavender{:href => '/upgrade-to-package-repository/'} Upgrade to Omnibus package repository
    .method-cta.slp-text-center.slp-border.slp-border-grayscale-highlight.slp-border-solid.slp-bg-white.slp-rounded-lg.slp-p-24.slp-flex.slp-flex-col.md:slp-w-100
      %h3.slp-text-lg Third-party applications that support GitLab
      %p.slp-my-24
        GitLab is open to collaboration and committed to building technology partnerships in the DevOps ecosystem. Learn more about the benefits and requirements of becoming a GitLab Technology Partner.
      %p
        %a.btn.cta-btn.lavender{:href => '/partners/'} View third-party applications

= partial "includes/free-trial-banner"
